Bug 1336383 - insufficient disk space before upgrade is not announced, nor explained after failed upgrade
Summary: insufficient disk space before upgrade is not announced, nor explained after ...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1308538
TreeView+ depends on / blocked
 
Reported: 2016-05-16 10:29 UTC by Kamil Páral
Modified: 2017-12-12 10:44 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:44:27 UTC


Attachments (Terms of Use)
journal-before-upgrade (290.91 KB, text/plain)
2016-05-16 10:29 UTC, Kamil Páral
no flags Details
journal-during-upgrade (162.84 KB, text/plain)
2016-05-16 10:29 UTC, Kamil Páral
no flags Details
journal-after-upgrade (366.86 KB, text/plain)
2016-05-16 10:30 UTC, Kamil Páral
no flags Details
pkcon-offline-status (93.47 KB, text/plain)
2016-05-16 10:30 UTC, Kamil Páral
no flags Details
rpm-qa (46.48 KB, text/plain)
2016-05-16 10:30 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2016-05-16 10:29:00 UTC
Description of problem:
I have followed https://fedoraproject.org/wiki/QA:Testcase_Workstation_Graphical_Upgrade and tried to upgrade on a machine with low disk space. I kept enough space for downloading packages, but ensured I don't have enough space for the actual upgrade.

GNOME Software did not warn me that I do not have enough disk space before triggering the upgrade (clicking Install and confirming the reboot action).

After reboot, I was greeted with the upgrade screen, where the progress indicator immediately jumped to 14%, then to 26%, then it waited there for 10 seconds, and showed "rebooting after update" (or similar).

After booting back to F23, I was not shown any error message. I waited a while, nothing. I was able to run "pkcon offline-status" which shows this:

Status:	Failed
ErrorCode:failed-initialization
ErrorDetails:Error running transaction: installing package iso-codes-3.68-1.fc24.noarch needs 9760768 on the / filesystem
installing package perl-4:5.22.2-359.fc24.x86_64 needs 9809920 on the / filesystem
installing package perl-Encode-3:2.84-8.fc24.x86_64 needs 5017600 on the / filesystem
(and a thousand more lines)

Shortly after that, I was given "new fedora release is available" popup. That felt confusing, I should have given either explanation that the upgrade went well or not went well, not a announcement of something I already tried to do.

After opening GNOME Software at the Updates tab, the Fedora 24 banner shows again "Download" button, instead of "Install", so I feel concerned that all packages that I downloaded before the upgrade were erased and I'll have to download them again.

After clicking Download again, there was a short check and it changed to Install, so my concerns about re-downloading everything were unjustified, but it was still not an ideal experience (when trying to see it from our end-user persona eyes). 


Version-Release number of selected component (if applicable):
gnome-software-3.20.3-0.191.20160425git.fc23.x86_64
libhif-0.2.3-0.145.20160427git.fc23.x86_64
PackageKit-1.1.1-1.fc23.x86_64

How reproducible:
probably always

Steps to Reproduce:
1. install a fully updated F23 with gnome-software copr
2. download the packages
2. make sure to not enough free space to install the packages
3. trigger graphical upgrade from gnome-software

Actual results:
Upgrade failure is not explained

Expected results:
Upgrade failure is explained. If more disk space is needed, it is clearly communicated.
Furthermore, I'd also expect the free disk space check to be performed before actually rebooting into the upgrade environment. GNOME Software should warn me after I press the Install button, or the Install button should not be possible to press.

Additional info:

Comment 1 Kamil Páral 2016-05-16 10:29:54 UTC
Created attachment 1157831 [details]
journal-before-upgrade

Comment 2 Kamil Páral 2016-05-16 10:29:58 UTC
Created attachment 1157832 [details]
journal-during-upgrade

Comment 3 Kamil Páral 2016-05-16 10:30:02 UTC
Created attachment 1157833 [details]
journal-after-upgrade

Comment 4 Kamil Páral 2016-05-16 10:30:05 UTC
Created attachment 1157834 [details]
pkcon-offline-status

Comment 5 Kamil Páral 2016-05-16 10:30:08 UTC
Created attachment 1157835 [details]
rpm-qa

Comment 6 Kamil Páral 2016-05-16 10:37:28 UTC
(In reply to Kamil Páral from comment #0)
> After opening GNOME Software at the Updates tab, the Fedora 24 banner shows
> again "Download" button, instead of "Install", so I feel concerned that all
> packages that I downloaded before the upgrade were erased and I'll have to
> download them again.

So this is actually not related to the failed upgrade, every time gnome-software process is started anew, it shows "Download". I understand the reason for this, but it would be much more user-friendly to show something like "Verify download" instead of "Download", so that it's clear it's not going to happen from scratch.

Comment 7 Fedora End Of Life 2016-11-25 09:03:05 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Kamil Páral 2016-11-25 09:34:12 UTC
Tell me if you have time to look into this and I'll re-test and provide fresh logs if needed.

Comment 9 Kalev Lember 2016-11-25 17:15:13 UTC
I think this is fixed; I remember writing code that added a disk space check before starting download, and another one that runs after download to make sure we don't run out of space during the transaction.

Comment 10 Kamil Páral 2016-11-29 12:41:26 UTC
Partly. If there's not enough space after downloading is complete, you see "Sorry, this didn't work" dialog with Details text area containing:

Error running transaction: installing package nss-3.27.0-1.2.fc25.x86_64 needs 864256 on the / filesystem
installing package NetworkManager-libnm-1:1.4.2-1.fc25.x86_64 needs 40960 on the / filesystem
installing package poppler-0.45.0-2.fc25.x86_64 needs 2871296 on the / filesystem
...

I understand it, but for a general user this can be very cryptic.

However, it you get below the necessary space limit after download is complete, but before you press Install (remember, you don't need to do that immediately), no check is performed, and upgrade is started. It ends abruptly and no error is announced on the next boot, so the user doesn't even know why it failed (and if it even failed).

Tested on fully updated F23 with gnome-software-3.20.5-3.fc23 installed.

Comment 11 Kalev Lember 2016-11-29 13:04:50 UTC
Ahh yes, thanks.

Comment 12 Fedora End Of Life 2017-11-16 19:17:38 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2017-12-12 10:44:27 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.